ipsecalgsession

Last published : Oct 30, 2026
Configuration for IPSEC ALG session resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
sourceip_alg <String> Read-write Original Source IP address.
Minimum length = 1
natip_alg <String> Read-write Natted Source IP address.
Minimum length = 1
destip_alg <String> Read-write Destination IP address.
Minimum length = 1
sourceip <String> Read-write Original Source IP address.
Minimum length = 1
natip <String> Read-write Natted Source IP address.
Minimum length = 1
destip <String> Read-write Destination IP address.
Minimum length = 1
spiin <Integer> Read-only Client SPI for ESP.
spiout <Integer> Read-only Server SPI for ESP.
_nextgenapiresource <String> Read-only .
__count <Double> Read-only count parameter

Operations

(click to see Properties )
  • GET (ALL)
  • COUNT
  • FLUSH
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

flush

URL: http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession? action=flush HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"ipsecalgsession":{
"sourceip":<String_value>,
"natip":<String_value>,
"destip":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

get (all)

URL: http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession? args=sourceip_alg: <String_value> ,natip_alg: <String_value> ,destip_alg: <String_value>
Use this query-parameter to get ipsecalgsession resources based on additional properties.
attrs http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of ipsecalgsession resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession? view=summary
Use this query-parameter to get the summary output of ipsecalgsession resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession? pagesize=#no;pageno=#no
Use this query-parameter to get the ipsecalgsession resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "ipsecalgsession": [ {
sourceip_alg:<String_value>,natip_alg:<String_value>,destip_alg:<String_value>"sourceip":<String_value>,
"natip":<String_value>,
"destip":<String_value>,
"spiin":<Integer_value>,
"spiout":<Integer_value>,
"_nextgenapiresource":<String_value>
}]}

count

URL: http:// <netscaler-ip-address> /nitro/v1/config/ipsecalgsession? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "ipsecalgsession": [ { "__count": "#no"} ] }